---
title: PaymentDetailsBase
slug: Web/API/PaymentDetailsBase
tags:
  - API
  - Dictionary
  - Experimental
  - Interface
  - Mixin
  - PaymentDetailsBase
  - Payments
  - Reference
  - Web Payments
  - Web Payments API
---
<div>{{securecontext_header}}{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">The <code><strong>PaymentDetailsBase</strong></code> dictionary is a mixin used by the {{domxref("PaymentDetailsInit")}} and {{domxref("PaymentDetailsUpdate")}} dictionaries.</span> It is never directly used by developers and is included here only to be used as the basis for those documents.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PaymentDetailsBase.displayItems", "displayItems")}}{{optional_inline}}</dt>
 <dd>An array of {{domxref("PaymentItem")}} objects, each describing one line item for the payment request. These represent the line items on a receipt or invoice.</dd>
 <dt>{{domxref("PaymentDetailsBase.modifiers", "modifiers")}}{{optional_inline}}</dt>
 <dd>An array of {{domxref("PaymentDetailsModifier")}} objects, each describing a modifier for particular payment method identifiers. For example, you can use one to adjust the total payment amount based on the selected payment method ("5% cash discount!").</dd>
 <dt>{{domxref("PaymentDetailsBase.shippingOptions", "shippingOptions")}}{{optional_inline}}</dt>
 <dd>An array of {{domxref("PaymentShippingOption")}} objects, each describing one available shipping option from which the user may choose.</dd>
</dl>

<h2 id="Derived_dictionaries">Derived dictionaries</h2>

<p><em>The following dictionaries include <code>PaymentDetailsBase</code>.</em></p>

<dl>
 <dt>{{domxref("PaymentDetailsInit")}}</dt>
 <dd>Provides payment information when calling the {{domxref("PaymentRequest.PaymentRequest", "PaymentRequest()")}} constructor.</dd>
 <dt>{{domxref("PaymentDetailsUpdate")}}</dt>
 <dd>Provides updated payment details while the payment user interface is being handled. This can be delivered to the payment interface using either {{domxref("PaymentDetailsUpdateEvent.updateWith()")}} or by returning it from the optional <code>detailsUpdate</code> promise provided to the {{domxref("PaymentRequest.show()")}} call that begins the user interaction.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentdetailsbase','PaymentDetailsBase')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentDetailsBase")}}</p>
</div>
